### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-site-header/ecl-site-header-standardised/search/ecl-site-header-standardised-search.component.ts`

### Extends

`EclSiteHeaderSearchComponent`

### Metadata

selector | `ecl-site-header-standardised-search`
styles | `:host { display: block; }`
templateUrl | `./ecl-site-header-standardised-search.component.html`

### Index

###### Properties
class Public isSearchBoxActive
###### Methods
getSearchBoxCssClasses onSearch onSearchBoxToggle getCssClasses
###### Inputs
searchButtonLabel searchInputPlaceholder searchInputText class e2eAttr
###### Outputs
search searchToggle
###### HostBindings
class

### Inputs

searchButtonLabel
Type : `string`

searchInputPlaceholder
Type : `string`

searchInputText
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

search
Type : `EventEmitter`

searchToggle
Type : `EventEmitter`

### HostBindings

class
Type : `string`
Default value : `'ecl-site-header-standardised__search-container'`

### Methods

getSearchBoxCssClasses
`getSearchBoxCssClasses()`
Returns : `string`

onSearch
`onSearch(evt: EclSearchFormEvent)`
Parameters :
Name | Type | Optional
evt | `EclSearchFormEvent` | No
Returns : `boolean`

onSearchBoxToggle
`onSearchBoxToggle(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

class
Type : `string`
Default value : `'ecl-site-header-standardised__search-container'`
Decorators : `@HostBinding('class')`

Public isSearchBoxActive
Type : `boolean`
Default value : `false`

# results matching ""

# No results matching ""